Bug 245989 - perl.i386 is missing from RHEL5
perl.i386 is missing from RHEL5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Dennis Gregorovic
Daniel Riek
: Regression
: 371101 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-27 15:40 EDT by Mike McGrath
Modified: 2010-10-22 11:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-05 11:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2007-06-27 15:40:58 EDT
I'm not sure if perl.i386 is supposed to be there or not but it's currently
missing from RHN.

Should it be there?
Comment 1 Mike McGrath 2007-06-27 15:43:01 EDT
Sorry, I should have added perl.i386 multilib in x86_64 versions of RHEL5
Comment 2 Jay Turner 2007-11-08 06:37:47 EST
RHEL5 Client GA shipped with perl-5.8.8-10.i386.rpm on the x86_64 media.  RHEL5
Server GA did not.

Course all bets are off now that we've released 5.1 which is missing perl.i386
on both.

Mike, can you provide some details for what needs i386 perl (on x86_64) so that
we can determine if the package needs to exist on both Client and Server?  Thanks!

I'm actually hijacking this bug to us for the 5.1 missing perl problem.
Comment 3 Jay Turner 2007-11-08 06:39:23 EST
The fact that perl.i386 is missing from the x86_64 Client images means folks are
getting an unresolved dependency attempting to update from either RHEL5 or
RHEL5.1 to the perl security packages released as part of RHSA-2007:0966.  We
need to fix this immediately, most likely by rhnpushing the 32-bit packages to
the x86_64 Client channels.
Comment 4 Robin Norwood 2007-11-09 09:15:37 EST
*** Bug 371101 has been marked as a duplicate of this bug. ***
Comment 5 RHEL Product and Program Management 2008-02-19 23:19:01 EST
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 9 Dennis Gregorovic 2008-09-05 11:49:21 EDT
Perl is not multilib-capable, so perl.i386 doesn't make sense on x86_64.  We mistakenly did that in 5.0 Client, and so we need to continue to include it in errata releases on Client so that dependencies don't break.  There's no need to add it to Server though.

Note You need to log in before you can comment on or make changes to this bug.